#
# spec file for package elementary-theme
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _name elementary

Name:           elementary-theme
Version:        4.0.2
Release:        5.14
License:        GPL-3.0
Summary:        The elementary GTK Theme
Url:            https://launchpad.net/egtk
Group:          System/GUI/GNOME
Source:         https://launchpad.net/egtk/4.x/%{version}/+download/elementary.tar.gz
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The official elementary GTK theme designed to be smooth, attractive, fast, and usable.

%package -n metatheme-elementary-common
Summary:        The elementary GTK Theme -- Common Files
Group:          System/GUI/GNOME
Suggests:       gtk2-metatheme-elementary
Suggests:       gtk3-metatheme-elementary

%description -n metatheme-elementary-common
The official elementary GTK theme designed to be smooth, attractive, fast, and usable.

This package provides the files common to the GTK+ themes and the window
manager themes as well as background images.

%package -n gtk2-metatheme-elementary
Summary:        The elementary GTK Theme -- GTK+ 2 Support
Group:          System/GUI/GNOME
Requires:       gtk2-engine-murrine
Requires:       metatheme-elementary-common = %{version}
Supplements:    packageand(metatheme-elementary-common:gtk2)

%description -n gtk2-metatheme-elementary
The official elementary GTK theme designed to be smooth, attractive, fast, and usable.

This package provides the GTK+ 2 support of Elementary

%package -n gtk3-metatheme-elementary
Summary:        The elementary GTK Theme -- GTK+ 3 Support
Group:          System/GUI/GNOME
Requires:       gtk3-engine-unico
Requires:       metatheme-elementary-common = %{version}
Supplements:    packageand(metatheme-elementary-common:gtk3)

%description -n gtk3-metatheme-elementary
The official elementary GTK theme designed to be smooth, attractive, fast, and usable.

This package provides the GTK+ 3 support of Elementary

%prep
%setup -q -n %{_name}

%build

%install
install -dm 0755 %{buildroot}%{_datadir}/themes/%{_name}
cp -a gtk-2.0 gtk-3.0 index.theme metacity-1 %{buildroot}%{_datadir}/themes/%{_name}
%fdupes -s %{buildroot}%{_datadir}/themes/%{_name}

%files -n metatheme-elementary-common
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING
%dir %{_datadir}/themes/%{_name}/
%{_datadir}/themes/%{_name}/index.theme
%{_datadir}/themes/%{_name}/metacity-1

%files -n gtk2-metatheme-elementary
%defattr(-,root,root)
%{_datadir}/themes/%{_name}/gtk-2.0

%files -n gtk3-metatheme-elementary
%defattr(-,root,root)
%{_datadir}/themes/%{_name}/gtk-3.0

%changelog
* Mon May 18 2015 mailaender@opensuse.org
- adhere to https://en.opensuse.org/SourceUrls
* Wed May 13 2015 and.november@opensuse.org
- update to version 4.0.2
